package utility;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

import giococarte.enumerate.CartaDaGioco;

public class MazzoDiCarte {
	
private static final Integer NUMEROCARTETOTALI = CartaDaGioco.values().length; 
 
private List<CartaDaGioco> mazzoDiCarteList = new ArrayList <CartaDaGioco>();

public MazzoDiCarte() {
	this.mazzoDiCarteList = new LinkedList(Arrays.asList(CartaDaGioco.values()));
	
	
	Collections.shuffle(mazzoDiCarteList);
}

public List<CartaDaGioco> getCarte(Integer numCarte) {
	List<CartaDaGioco> result = new ArrayList<CartaDaGioco>();
	
	for (int i=0; i<numCarte; i++) {
		if (mazzoDiCarteList.size() >= 0) {
			result.add(mazzoDiCarteList.get(0));
			mazzoDiCarteList.remove(0);
		} else {
			break;
		}
	}
	
	return result;
}


	
}