package giococarte.giochi;
import giococarte.enumerate.SemiCarte;
import java.util.List;

import giococarte.enumerate.CartaDaGioco;
import giococarte.enumerate.Giocatore;
import utility.MazzoDiCarte;

public class GiocoITS {
	MazzoDiCarte mazzoDiCarte = new MazzoDiCarte();
	
	public List<CartaDaGioco> getCarteGiocatoreA() {
		return mazzoDiCarte.getCarte(20);
	}
	
	public List<CartaDaGioco> getCarteGiocatoreB() {
		return mazzoDiCarte.getCarte(20);
	}
	public Giocatore getVincitore(CartaDaGioco cartaGiocatoreA, CartaDaGioco cartaGiocatoreB) {
		Giocatore result ;
		Integer valoreCartaA = 0;
		Integer valoreCartaB = 0;
		SemiCarte semeCartaA;
		SemiCarte semeCartaB;
		
		
		valoreCartaA = cartaGiocatoreA.getValore();
		valoreCartaB = cartaGiocatoreB.getValore();
		
		semeCartaA = cartaGiocatoreA.getSeme();
		semeCartaB = cartaGiocatoreB.getSeme();
		
		if(valoreCartaA == valoreCartaB) {
			// caso carte uguali valori
			
			if(semeCartaA.getValore() < semeCartaB.getValore()) {
				result = Giocatore.GIOCATOREA;
			}else {
				result = Giocatore.GIOCATOREB;
			}
			
		}
		else 
		if(valoreCartaA > valoreCartaB) {
			// vince A 
			result = Giocatore.GIOCATOREA;
		}else {
			result = Giocatore.GIOCATOREB;
		}
		
		
		
		return result;
		
		
	}
	
}